librsb 1.3.0.2

Public Member Functions
blas_sparse::ussv Interface Reference

triangular solve: b <- alpha A^-1 b More...

## Public Member Functions
subroutine | sussv (transT, alpha, T, x, incx, istat)
| Triangular solve, by a dense vector. Either of , depending on the value of `transT`. More...
subroutine | dussv (transT, alpha, T, x, incx, istat)
| Triangular solve, by a dense vector. Either of , depending on the value of `transT`. More...
subroutine | cussv (transT, alpha, T, x, incx, istat)
| Triangular solve, by a dense vector. Either of , depending on the value of `transT`. More...
subroutine | zussv (transT, alpha, T, x, incx, istat)
| Triangular solve, by a dense vector. Either of , depending on the value of `transT`. More...

## Detailed Description

triangular solve: b <- alpha A^-1 b

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## ◆ cussv()

subroutine blas_sparse::ussv::cussv | ( | integer | transT,
|  | complex(kind(1.e0)) | alpha,
|  | integer | T,
|  | complex(kind(1.e0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Triangular solve, by a dense vector. Either of , depending on the value of `transT`.

Parameters

  transT | Transposition operator for matrix T.
  alpha | Value for .
  T | A valid triangular matrix handle.
  x | Dense vector x.
  incx | Stride of x.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ dussv()

subroutine blas_sparse::ussv::dussv | ( | integer | transT,
|  | real(kind(1.d0)) | alpha,
|  | integer | T,
|  | real(kind(1.d0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Triangular solve, by a dense vector. Either of , depending on the value of `transT`.

Parameters

  transT | Transposition operator for matrix T.
  alpha | Value for .
  T | A valid triangular matrix handle.
  x | Dense vector x.
  incx | Stride of x.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ sussv()

subroutine blas_sparse::ussv::sussv | ( | integer | transT,
|  | real(kind(1.e0)) | alpha,
|  | integer | T,
|  | real(kind(1.e0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Triangular solve, by a dense vector. Either of , depending on the value of `transT`.

Parameters

  transT | Transposition operator for matrix T.
  alpha | Value for .
  T | A valid triangular matrix handle.
  x | Dense vector x.
  incx | Stride of x.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ zussv()

subroutine blas_sparse::ussv::zussv | ( | integer | transT,
|  | complex(kind(1.d0)) | alpha,
|  | integer | T,
|  | complex(kind(1.d0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Triangular solve, by a dense vector. Either of , depending on the value of `transT`.

Parameters

  transT | Transposition operator for matrix T.
  alpha | Value for .
  T | A valid triangular matrix handle.
  x | Dense vector x.
  incx | Stride of x.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90